timelimit_1.8-1_i386.deb


Advertisement

Description

timelimit - simple utility to limit a process's absolute execution time

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: timelimit
Package version: 1.8
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 76 B
Download size: 11.54 KB
Official Mirror: archive.ubuntu.com
The timelimit utility executes a command and terminates the spawned process after a given time with a given signal. A "warning" signal is sent first, then, after a timeout, a "kill" signal, similar to the way init(8) operates on shutdown.

Alternatives

Requires

Conflicts

  • netpipes << 4.2-6

    Download

    Binary package: timelimit_1.8-1_i386.deb
    Source package: timelimit

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install timelimit deb package:
      # sudo apt-get install timelimit

    Files

    • /usr/bin/timelimit
    • /usr/share/doc/timelimit/changelog.Debian.gz
    • /usr/share/doc/timelimit/copyright
    • /usr/share/lintian/overrides/timelimit
    • /usr/share/man/man1/timelimit.1.gz

    Changelog

    2011-04-13 - Peter Pentchev <roam@ringlet.net> timelimit (1.8-1) unstable; urgency=low * New upstream release - supports signal names now. Closes: #621775 - needs prove(1) for the test suite, so build-depend on perl * Update the copyright file to the latest DEP 5 candidate format.

    2011-04-11 - Peter Pentchev <roam@ringlet.net> timelimit (1.7-4) unstable; urgency=low * After a discussion with George Danchev <danchev@debian.org> and Mats Erik Andersson (the maintainer of netpipes), make the binary package conflict versioned - the next upload of netpipes will not install a timelimit binary, so the conflict will be resolved. Thanks a lot to George Danchev and Mats Erik Andersson for the discussion and assistance! * Add a override for the "conflicts with version" Lintian informational message that the above change provokes. * Bump Standards-Version to 3.9.2 with no changes. * Update the copyright file to the latest DEP 5 candidate format.

    2011-03-01 - Peter Pentchev <roam@ringlet.net> timelimit (1.7-3) unstable; urgency=low * Make the short description start with a lowercase letter. * Update the copyright file to the latest DEP 5 candidate format. * Upload to unstable.

    2011-01-06 - Peter Pentchev <roam@ringlet.net> timelimit (1.7-2) experimental; urgency=low * Actually enable the build hardening by default (depend on a hardening package) and switch from the hardening-wrapper to hardening-includes. * Use := instead of = to optimize some shell invocations in the rules file. * Bump the year on my copyright notice.

    2010-09-30 - Peter Pentchev <roam@ringlet.net> timelimit (1.7-1) experimental; urgency=low * New upstream release: - use setitimer(2) for subsecond precision. Closes: #597824 - update the years in the copyright file * Bump Standards-Version to 3.9.1 with no changes. * Switch to Git and point the Vcs-* fields to Gitorious. * Switch to bzip2 compression for the Debian tarball. * Bump the debhelper compatibility level to 8 with no changes.

    2010-06-29 - Peter Pentchev <roam@ringlet.net> timelimit (1.6-1) unstable; urgency=low * Bump Standards-Version to 3.9.0 with no changes. * Convert to the 3.0 (quilt) source format with no changes. * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values for CFLAGS, CPPFLAGS, and LDFLAGS. * Update the copyright file to the latest revision of the DEP 5 format and bump the year on my copyright notice. * Shorten the Vcs-Browser URL. * New upstream version: - actually honor CPPFLAGS :) - explicitly pass the new changelog name, NEWS, to dh_installchangelogs

    2009-10-31 - Peter Pentchev <roam@ringlet.net> timelimit (1.5-1) unstable; urgency=low * New upstream release - add the -p flag to propagate a termination signal. Closes: #547452 * Bump Standards-Version to 3.8.3 with no changes.

    2009-04-14 - Peter Pentchev <roam@ringlet.net> timelimit (1.4-2) unstable; urgency=low * Refer to GPL-2, not just GPL, in the copyright file. * Bump Standards-Version to 3.8.1 with no changes. * Add misc:Depends to the binary package. * Minimize the rules file using debhelper override targets. * Update the copyright years for the Debian packaging. * Point to the actual Debian package files in Vcs-Svn and Vcs-Browser, not at the full timelimit upstream repository.

    2008-11-12 - Peter Pentchev <roam@ringlet.net> timelimit (1.4-1) unstable; urgency=low * New upstream version - fixes the options processing - does not try to parse the options passed to the executed program. Closes: #505140.

    2008-09-03 - Peter Pentchev <roam@ringlet.net> timelimit (1.3-1) unstable; urgency=low * New upstream version - returns the child process exit code instead of always exiting with 0. Closes: #494629. * Update debian/copyright since the different source files have different copyright years now. * Add many more warning options to CFLAGS, just in case.

    Advertisement
    Advertisement